Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Interface PlaceableInstance

All Known Implementing Classes:
  BookInstance, PortletInstance

    public interface PlaceableInstance

A marker interface used to indicate that the implementation object can be placed in a PlaceholderView (LayoutView's placeholder).

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getLabel()` Return the unique placeable label.
`PlaceableDefinition` | `getPlaceableDefinition()` Returns a `PlaceableDefinition` associated with this `PlaceableInstance`.
`PlaceableInstanceId` | `getPlaceableInstanceId()` Returns a `PlaceableInstanceId` associated with this `PlaceableInstance`.
`PlacementId` | `getPlacementId()` Returns the `PlacementId` associated with this `NavigableInstance`.

Method Detail

### getPlaceableInstanceId

    PlaceableInstanceId getPlaceableInstanceId()

  Returns a `PlaceableInstanceId` associated with this `PlaceableInstance`. May return `null` if the `PlaceableInstance` has not been retrieved using the persistence API

  Returns
    `PlaceableInstanceId`

### getPlaceableDefinition

    PlaceableDefinition getPlaceableDefinition()

  Returns a `PlaceableDefinition` associated with this `PlaceableInstance`. May return `null` if the `PlaceableInstance` has not been retrieved using the persistence API

  Returns
    `PlaceableDefinition`

### getPlacementId

    PlacementId getPlacementId()

  Returns the `PlacementId` associated with this `NavigableInstance`.

  Returns
    `PlacementId`

### getLabel

    String getLabel()

  Return the unique placeable label. For books this is the definition label and for portlets this is the instance label.

  Returns
    label

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.